org.apache.ignite.lang

## Interface IgniteCallable<V>

All Superinterfaces:
  Callable<V>, Serializable

All Known Implementing Classes:
  AtomicIntegerFactoryCallable, ClientGetClusterStateComputeRequest, ConcurrentHashSetFactoryCallable, ConcurrentMapFactoryCallable, ContentionClosure, FetchActiveTxOwnerTraceClosure, MapFactoryCallable, PlatformCallable, SetFactoryCallable, UpgradePendingTreeToPerPartitionTask, ViewCacheClosure, VisorFindAndDeleteGarbageInPersistenceClosure

    public interface IgniteCallable<V>
    extends Callable<V>, Serializable

Grid-aware adapter for `Callable` implementations. It adds `Serializable` interface to `Callable` object. Use this class for executing distributed computations on the grid, like in `IgniteCompute.call(IgniteCallable)` method.

### Method Summary

### Methods inherited from interface java.util.concurrent.Callable

`call`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021